Bug 682477 - mysqltuner not working with mysql 5.5--skip-innodb
Summary: mysqltuner not working with mysql 5.5--skip-innodb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysqltuner
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-05 22:06 UTC by Harald Reindl
Modified: 2011-03-13 04:43 UTC (History)
2 users (show)

Fixed In Version: mysqltuner-1.2.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-13 04:43:50 UTC


Attachments (Terms of Use)

Description Harald Reindl 2011-03-05 22:06:43 UTC
mysqltuner is not working with mysql 5.5 if--skip-innodb is used in my.cnf
few minutes ago i tested the last build from koji for F15 with the same result

* InnoDB is enabled but isn't being used is wrong
* Storage engines: +InnoDB is wrong
* if you remove "--skip--innodb" the division by zero goes away
* this is since mysql 5.5

[root@buildserver:~]$ mysqltuner
 >>  MySQLTuner 1.1.1 - Major Hayden <major@mhtx.net>
 >>  Bug reports, feature requests, and downloads at http://mysqltuner.com/
 >>  Run with '--help' for additional options and output filtering
Please enter your MySQL administrative login: root
Please enter your MySQL administrative password: 

-------- General Statistics --------------------------------------------------
[--] Skipped version check for MySQLTuner script
[OK] Currently running supported MySQL version 5.5.9
[OK] Operating on 64-bit architecture

-------- Storage Engine Statistics -------------------------------------------
[--] Status: -Archive -BDB -Federated +InnoDB -ISAM -NDBCluster 
[--] Data in MyISAM tables: 78M (Tables: 222)
[--] Data in PERFORMANCE_SCHEMA tables: 0B (Tables: 17)
[--] Data in MEMORY tables: 252K (Tables: 5)
[!!] InnoDB is enabled but isn't being used
[!!] Total fragmented tables: 7

-------- Security Recommendations  -------------------------------------------
[OK] All database users have passwords assigned
Use of uninitialized value $myvar{"innodb_log_file_size"} in multiplication (*)
        at /usr/bin/mysqltuner line 666, <> line 2 (#1)
    (W uninitialized) An undefined value was used as if it were already
    defined.  It was interpreted as a "" or a 0, but maybe it was a mistake.
    To suppress this warning assign a defined value to your variables.
    
    To help you figure out what was undefined, perl will try to tell you the
    name of the variable (if any) that was undefined. In some cases it cannot
    do this, so it also tells you what operation you used the undefined value
    in.  Note, however, that perl optimizes your program and the operation
    displayed in the warning may not necessarily appear literally in your
    program.  For example, "that $foo" is usually optimized into "that "
    . $foo, and the warning will refer to the concatenation (.) operator,
    even though there is no . in your program.
    
Use of uninitialized value in division (/) at /usr/bin/mysqltuner line 666, <>
        line 2 (#1)

Illegal division by zero at /usr/bin/mysqltuner line 666, <> line 2 (#2)
    (F) You tried to divide a number by 0.  Either something was wrong in
    your logic, or you need to put a conditional in to guard against
    meaningless input.
    
Uncaught exception from user code:
        Illegal division by zero at /usr/bin/mysqltuner line 666, <> line 2.
 at /usr/bin/mysqltuner line 665
        main::calculations() called at /usr/bin/mysqltuner line 918

Comment 1 Ville Skyttä 2011-03-06 08:07:56 UTC
Looks like this has already been reported upstream:
https://github.com/rackerhacker/MySQLTuner-perl/issues/#issue/2

Comment 2 Fedora Update System 2011-03-06 11:35:51 UTC
mysqltuner-1.1.1-4.20100125git.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mysqltuner-1.1.1-4.20100125git.fc15

Comment 3 Harald Reindl 2011-03-06 12:08:31 UTC
Thank you very much, it's working great!

Comment 4 Fedora Update System 2011-03-06 17:45:55 UTC
mysqltuner-1.1.1-4.20100125git.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mysqltuner'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mysqltuner-1.1.1-4.20100125git.fc15

Comment 5 Fedora Update System 2011-03-13 04:43:41 UTC
mysqltuner-1.2.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.